yum install php-mbstring has dependecy problems(x86_64)

Support for the other architectures (X86_64, IA-64, and PowerPC)
Post Reply
Makis77
Posts: 6
Joined: 2009/07/31 09:06:19
Contact:

yum install php-mbstring has dependecy problems(x86_64)

Post by Makis77 » 2010/03/22 00:12:12

I m having some issues related to mbstring, even tough I see this enable as shared on phpinfo() it doesnt really work.
I did a "locate mbstring.so" but had no results so I went to install mbstring through yum by giving:
"yum install php-mbstring"
I had the following dependency erros:

-------------------------
-------------------------
yum install php-mbstring
Excluding Packages from Dag RPM Repository for Red Hat Enterprise Linux
Finished
Excluding Packages from Red Hat Enterprise 5 - RPMforge.net - dag
Finished
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package php-mbstring.x86_64 0:5.1.6-24.el5_4.5 set to be updated
--> Processing Dependency: php-common = 5.1.6-24.el5_4.5 for package: php-mbstring
--> Finished Dependency Resolution
php-mbstring-5.1.6-24.el5_4.5.x86_64 from updates has depsolving problems
--> Missing Dependency: php-common = 5.1.6-24.el5_4.5 is needed by package php-mbstring-5.1.6-24.el5_4.5.x86_64 (updates)
Error: Missing Dependency: php-common = 5.1.6-24.el5_4.5 is needed by package php-mbstring-5.1.6-24.el5_4.5.x86_64 (updates)
You could try using --skip-broken to work around the problem
You could try running: package-cleanup --problems
package-cleanup --dupes
rpm -Va --nofiles --nodigest
-------------------------
-------------------------

any views on this?

User avatar
TrevorH
Forum Moderator
Posts: 26874
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: yum install php-mbstring has dependecy problems(x86_64)

Post by TrevorH » 2010/03/22 00:53:30

What level is your currently install php-common package? Maybe it needs to be yum updated to 5.1.6-24.el5_4.5 first?

pschaff
Retired Moderator
Posts: 18276
Joined: 2006/12/13 20:15:34
Location: Tidewater, Virginia, North America
Contact:

yum install php-mbstring has dependecy problems(x86_64)

Post by pschaff » 2010/03/24 02:25:09

You are excluding (unknown) packages from RPMforge but do not seem to be using the yum-priorities plugin. Not enough information for a definitive answer. Please read [url=http://www.centos.org/modules/newbb/viewtopic.php?topic_id=25128&forum=47]How to provide information about your system[/url] and post the requested information.

Makis77
Posts: 6
Joined: 2009/07/31 09:06:19
Contact:

Re: yum install php-mbstring has dependecy problems(x86_64)

Post by Makis77 » 2010/12/23 18:39:09

I m using the following php-common package:
php-common = php-common-5.3.2-1
while php-mbstring.x86_64 needs php-common-5.3.2-1
which is lower than version of the installed package.

Post Reply

Return to “CentOS 5 - X86_64,s390(x) and PowerPC Support”